0

GItian-builder fails when I run deps-win32.yml. I am using bitcoin's earlier version so that to learn creating new coin. I'm using 0.8.7.4 and in that gitian-builder version there's a package requirement named - "miniupnpc-1.9.20140401.tar.gz" so I downloaded it from the official website and put it into gitian's inputs folder. then I run sudo bin/gbuild ../mycoin/contrib/gitian-descriptors/deps-win32.yml and it fails and tells me miniupnpc-1.9.20140401.tar.gz: FAILED sha256sum: WARNING: 1 computed checksum did NOT match

I am using the exact same version of miniupnpc as it asks me to use in depth-win32.yml. what is wrong? please guys help

  • Are you absolutely sure that you downloaded the correct tarball? The only way that the sha256sum of the tarball doesn't match is if you downloaded the wrong file. The link to it is miniupnp.free.fr/files/…. Make sure you download 1.9-20140401, not 1.8-20140401 – Andrew Chow Aug 10 '18 at 5:28
  • That was it Andrew. I already figured out. It's because the file was broken. I downloaded it from another website. – Giorgi Lagidze Aug 10 '18 at 16:35
  • That was it Andrew. I already figured out. It's because the file was broken. I downloaded it from another website. – Giorgi Lagidze Aug 10 '18 at 16:35

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.